---

- name: Remove tmp and obsolete files
  file: path={{ item }} state=absent
  loop:
    - "{{ nomad_root_dir }}/tmp/nomad_{{ nomad_version }}_linux_amd64.zip"
    - "{{ nomad_root_dir }}/tmp/nomad"
  tags: nomad

- name: Remove temporary plugin files
  file: path={{ item.dest }} state=absent
  loop: "{{ nomad_plugin_dl.results }}"
  when: nomad_plugin_dl is defined and nomad_plugin_dl.results is defined and item.dest is defined
  tags: nomad
